/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */

package com.sun.glass.ui.x11;

import com.sun.glass.ui.MenuItem.Callback;
import com.sun.glass.ui.Pixels;
import com.sun.glass.ui.delegate.MenuDelegate;
import com.sun.glass.ui.delegate.MenuItemDelegate;

/**
 *
 * @author ddhill
 */
public class X11MenuDelegate implements MenuDelegate, MenuItemDelegate {

    public boolean createMenu(String title, boolean enabled) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean setTitle(String title) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean setEnabled(boolean enabled) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean insert(MenuDelegate menu, int pos) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean insert(MenuItemDelegate item, int pos) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean remove(MenuDelegate menu, int pos) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean remove(MenuItemDelegate item, int pos) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean createMenuItem(String title, Callback callback, int shortcutKey, int shortcutModifiers, Pixels pixels, boolean enabled, boolean checked) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean setCallback(Callback callback) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean setShortcut(int shortcutKey, int shortcutModifiers) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean setPixels(Pixels pixels) {
        //Currently no need for menu bars in X11
        return true;
    }

    public boolean setChecked(boolean checked) {
        //Currently no need for menu bars in X11
        return true;
    }

}
